ListAgentExecutions
POST/gitpod.v1.AgentService/ListAgentExecutions
Lists all agent runs matching the specified filter.
Use this method to track multiple agent runs and their associated resources. Results are ordered by their creation time with the newest first.
Examples
-
List agent runs by agent ID:
filter: agentIds: ["b8a64cfa-43e2-4b9d-9fb3-07edc63f5971"] pagination: pageSize: 10
ListAgentExecutions
curl https://app.gitpod.io/api/gitpod.v1.AgentService/ListAgentExecutions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{}'{
"agentExecutions": [
{
"id": "id",
"metadata": {
"annotations": {
"foo": "string"
},
"createdAt": "2019-12-27T18:11:19.117Z",
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"description": "description",
"name": "name",
"role": "AGENT_EXECUTION_ROLE_UNSPECIFIED",
"sessionId": "sessionId",
"updatedAt": "2019-12-27T18:11:19.117Z",
"workflowActionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"spec": {
"agentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"codeContext": {
"contextUrl": {
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"url": "https://example.com"
},
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"pullRequest": {
"id": "id",
"author": "author",
"draft": true,
"fromBranch": "fromBranch",
"repository": {
"cloneUrl": "cloneUrl",
"host": "host",
"name": "name",
"owner": "owner"
},
"state": "STATE_UNSPECIFIED",
"title": "title",
"toBranch": "toBranch",
"url": "url"
}
},
"desiredPhase": "PHASE_UNSPECIFIED",
"limits": {
"maxInputTokens": "maxInputTokens",
"maxIterations": "maxIterations",
"maxOutputTokens": "maxOutputTokens"
},
"loopConditions": [
{
"id": "id",
"description": "description",
"expression": "expression"
}
],
"session": "session",
"specVersion": "specVersion"
},
"status": {
"cachedCreationTokensUsed": "cachedCreationTokensUsed",
"cachedInputTokensUsed": "cachedInputTokensUsed",
"contextWindowLength": "contextWindowLength",
"conversationUrl": "conversationUrl",
"currentActivity": "currentActivity",
"currentOperation": {
"llm": {
"complete": true
},
"retries": "retries",
"session": "session",
"toolUse": {
"complete": true,
"toolName": "x"
}
},
"failureMessage": "failureMessage",
"failureReason": "AGENT_EXECUTION_FAILURE_REASON_UNSPECIFIED",
"inputTokensUsed": "inputTokensUsed",
"iterations": "iterations",
"judgement": "judgement",
"loopConditionResults": [
{
"conditionId": "conditionId",
"iteration": 0,
"lastEvaluatedAt": "2019-12-27T18:11:19.117Z",
"met": true
}
],
"mcpIntegrationStatuses": [
{
"id": "id",
"failureMessage": "failureMessage",
"name": "name",
"phase": "MCP_INTEGRATION_PHASE_UNSPECIFIED",
"warningMessage": "warningMessage"
}
],
"mode": "AGENT_MODE_UNSPECIFIED",
"outputs": {
"foo": {
"boolValue": true,
"floatValue": 0,
"intValue": "intValue",
"stringValue": "stringValue"
}
},
"outputTokensUsed": "outputTokensUsed",
"phase": "PHASE_UNSPECIFIED",
"session": "session",
"statusVersion": "statusVersion",
"supportBundleUrl": "supportBundleUrl",
"supportedModel": "SUPPORTED_MODEL_UNSPECIFIED",
"terminalId": "terminalId",
"transcriptUrl": "transcriptUrl",
"usedEnvironments": [
{
"createdByAgent": true,
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
],
"waitingInfo": {
"interests": [
{
"id": "id",
"environment": {
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"phase": ""
},
"subAgent": {
"executionId": "executionId"
},
"timer": {
"cron": "cron",
"duration": "duration",
"firesAt": "2019-12-27T18:11:19.117Z"
},
"userMessage": {}
}
],
"waitId": "waitId",
"waitingSince": "2019-12-27T18:11:19.117Z"
},
"warningMessage": "warningMessage"
}
}
],
"pagination": {
"nextToken": "nextToken"
}
}Returns Examples
{
"agentExecutions": [
{
"id": "id",
"metadata": {
"annotations": {
"foo": "string"
},
"createdAt": "2019-12-27T18:11:19.117Z",
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"description": "description",
"name": "name",
"role": "AGENT_EXECUTION_ROLE_UNSPECIFIED",
"sessionId": "sessionId",
"updatedAt": "2019-12-27T18:11:19.117Z",
"workflowActionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"spec": {
"agentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"codeContext": {
"contextUrl": {
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"url": "https://example.com"
},
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"pullRequest": {
"id": "id",
"author": "author",
"draft": true,
"fromBranch": "fromBranch",
"repository": {
"cloneUrl": "cloneUrl",
"host": "host",
"name": "name",
"owner": "owner"
},
"state": "STATE_UNSPECIFIED",
"title": "title",
"toBranch": "toBranch",
"url": "url"
}
},
"desiredPhase": "PHASE_UNSPECIFIED",
"limits": {
"maxInputTokens": "maxInputTokens",
"maxIterations": "maxIterations",
"maxOutputTokens": "maxOutputTokens"
},
"loopConditions": [
{
"id": "id",
"description": "description",
"expression": "expression"
}
],
"session": "session",
"specVersion": "specVersion"
},
"status": {
"cachedCreationTokensUsed": "cachedCreationTokensUsed",
"cachedInputTokensUsed": "cachedInputTokensUsed",
"contextWindowLength": "contextWindowLength",
"conversationUrl": "conversationUrl",
"currentActivity": "currentActivity",
"currentOperation": {
"llm": {
"complete": true
},
"retries": "retries",
"session": "session",
"toolUse": {
"complete": true,
"toolName": "x"
}
},
"failureMessage": "failureMessage",
"failureReason": "AGENT_EXECUTION_FAILURE_REASON_UNSPECIFIED",
"inputTokensUsed": "inputTokensUsed",
"iterations": "iterations",
"judgement": "judgement",
"loopConditionResults": [
{
"conditionId": "conditionId",
"iteration": 0,
"lastEvaluatedAt": "2019-12-27T18:11:19.117Z",
"met": true
}
],
"mcpIntegrationStatuses": [
{
"id": "id",
"failureMessage": "failureMessage",
"name": "name",
"phase": "MCP_INTEGRATION_PHASE_UNSPECIFIED",
"warningMessage": "warningMessage"
}
],
"mode": "AGENT_MODE_UNSPECIFIED",
"outputs": {
"foo": {
"boolValue": true,
"floatValue": 0,
"intValue": "intValue",
"stringValue": "stringValue"
}
},
"outputTokensUsed": "outputTokensUsed",
"phase": "PHASE_UNSPECIFIED",
"session": "session",
"statusVersion": "statusVersion",
"supportBundleUrl": "supportBundleUrl",
"supportedModel": "SUPPORTED_MODEL_UNSPECIFIED",
"terminalId": "terminalId",
"transcriptUrl": "transcriptUrl",
"usedEnvironments": [
{
"createdByAgent": true,
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
],
"waitingInfo": {
"interests": [
{
"id": "id",
"environment": {
"environmentId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"phase": ""
},
"subAgent": {
"executionId": "executionId"
},
"timer": {
"cron": "cron",
"duration": "duration",
"firesAt": "2019-12-27T18:11:19.117Z"
},
"userMessage": {}
}
],
"waitId": "waitId",
"waitingSince": "2019-12-27T18:11:19.117Z"
},
"warningMessage": "warningMessage"
}
}
],
"pagination": {
"nextToken": "nextToken"
}
}